# PhasicFlow: compareTwo< T, Operator > Class Template Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

compareTwo< T, Operator > Class Template Reference

## Public Types

using | opertorType = Operator< T >

## Public Member Functions

| TypeInfoNV (opertorType::TYPENAME())
| compareTwo (const dictionary &dict)
bool | operator() (const T &value) const

## Protected Attributes

T | compValue1_
T | compValue2_
opertorType | operator_ {}

## Detailed Description

### template<typename T, template< class > class Operator>
class pFlow::compareTwo< T, Operator >

Definition at line 140 of file IncludeMask.hpp.

## Member Typedef Documentation

## opertorType

using opertorType = Operator<T>

Definition at line 143 of file IncludeMask.hpp.

## Constructor & Destructor Documentation

## compareTwo()

compareTwo | ( | const dictionary & | dict | ) |

inline

Definition at line 152 of file IncludeMask.hpp.

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | opertorType::TYPENAME() |  | ) |

## operator()()

bool operator() | ( | const T & | value | ) | const

inline

Definition at line 158 of file IncludeMask.hpp.

References compareTwo< T, Operator >::compValue1_, compareTwo< T, Operator >::compValue2_, and compareTwo< T, Operator >::operator_.

## Member Data Documentation

## compValue1_

T compValue1_

protected

Definition at line 145 of file IncludeMask.hpp.

Referenced by compareTwo< T, Operator >::operator()().

## compValue2_

T compValue2_

protected

Definition at line 146 of file IncludeMask.hpp.

Referenced by compareTwo< T, Operator >::operator()().

## operator_

opertorType operator_ {}

protected

Definition at line 147 of file IncludeMask.hpp.

Referenced by compareTwo< T, Operator >::operator()().

The documentation for this class was generated from the following file:

- utilities/postprocessPhasicFlow/IncludeMask.hpp